#include <cppunit/TextTestRunner.h>

#include <test_registercontainer.h>
#include <test_triggernode.h>

/*!
 * Unit-Tests fuer Simulationskern.
 *
 * @author Matthias Kuehm <kuehmi@cs.tu-berlin.de>
 * @return 0 bei Erfolg, != 0 sonst
 */
int main(int argc, char** argv)
{
	CppUnit::TextTestRunner runner;

	runner.addTest( Test_RegisterContainer::suite() );
	runner.addTest( Test_TriggerNode::suite() );

	return !runner.run("", false);
}
