#ifndef __TEST_RAND48_H__
#define __TEST_RAND48_H__

#include <environment/prng/test_prng.h>

using namespace CppUnit;

/*! 
 * Unit-Tests fuer Zufallszahlengenerator der C-Library.
 *
 * @author Matthias Kuehm <kuehmi@cs.tu-berlin.de>
 */
class Test_Rand48 : public Test_PRNG
{	
CPPUNIT_TEST_SUITE( Test_Rand48 );
CPPUNIT_TEST( reproduce_check );
CPPUNIT_TEST( badargs_check );
CPPUNIT_TEST( generate_check );
CPPUNIT_TEST_SUITE_END();
	
public:

	//! Implementierung der Klasse TestFixture.
	void setUp();

	//! Implementierung der Klasse Test_PRNG.
	std::string factoryId() { return "Rand48"; }

	//! Implementierung der Klasse Test_PRNG.
	std::string dataPrefix() { return "rand48_"; }		
};

#endif
