#define YY_Parser_h_included
#define YY_USE_CLASS

/*  A Bison++ parser, made from /usr/local/cinsim-0.6.2/src/mathparser/parser.yy  */

 /* with Bison++ version bison++ Version 1.21.9-1, adapted from GNU bison by coetmeur@icdc.fr
Maintained by Magnus Ekdahl <magnus@debian.org>
  */

#define YY_USE_CLASS

#line 1 "/usr/local/share/bison++/bison.cc"
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Bob Corbett and Richard Stallman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  

   As a special exception, when this file is copied by Bison++ into a
   Bison++ output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison, and has been in Bison++ since 1.21.9.  

*/

/* HEADER SECTION */
#if defined( _MSDOS ) || defined(MSDOS) || defined(__MSDOS__) 
 #define __MSDOS_AND_ALIKE
#endif

#if defined(_WINDOWS) && defined(_MSC_VER)
 #define __HAVE_NO_ALLOCA
 #define __MSDOS_AND_ALIKE
#endif

#ifndef alloca
 #if defined( __GNUC__)
  #define alloca __builtin_alloca

 #elif (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc)  || defined (__sgi)
  #include <alloca.h>

 #elif defined (__MSDOS_AND_ALIKE)
  #include <malloc.h>
  #ifndef __TURBOC__
   /* MS C runtime lib */
   #define alloca _alloca
  #endif

 #elif defined(_AIX)
  /* pragma must be put before any C/C++ instruction !! */
  #pragma alloca
  #include <malloc.h>

 #elif defined(__hpux)
  #ifdef __cplusplus
   extern "C" {
     void *alloca (unsigned int);
   };
  #else /* not __cplusplus */
   void *alloca ();
  #endif /* not __cplusplus */

 #endif /* not _AIX  not MSDOS, or __TURBOC__ or _AIX, not sparc.  */
#endif /* alloca not defined.  */

#ifdef c_plusplus
 #ifndef __cplusplus
  #define __cplusplus
 #endif
#endif

#ifdef __cplusplus
 #ifndef YY_USE_CLASS
/*#warning "For C++ its recomended to use bison++, otherwise classes won't be generated"*/
 #endif
#else
 #ifndef __STDC__
  #define const
 #endif
 #ifdef YY_USE_CLASS
  #error "This is a C++ header generated by bison++, please use a C++ compiler!"
 #endif
#endif

#include <stdio.h>
#define YYBISON 1  

 #line 88 "/usr/local/share/bison++/bison.cc"
#line 1 "parser.yy"

    #include "scanner.h"
    #include <cstdlib>
    #include <iostream>
    #include "ParserInterface.h"
    #include <math.h>
    #include <map>
    #include <stdio.h>
    #include <string.h>

    using std::cerr;
    using std::cout;
using std::endl;

#define YY_Parser_LSP_NEEDED 
#define YY_Parser_ERROR_BODY  = 0
#define YY_Parser_INHERIT  : public ParserInterface
#define YY_Parser_LEX_BODY  = 0
#define YY_Parser_CONSTRUCTOR_CODE  { flagend=0; parseerr = 0; evalerr = 0; }
#define YY_Parser_MEMBERS                                          \
public:						\
virtual ~Parser()   {}                          \
	double mp_eval_exp (double x, int *err);\
	short PError() { return parseerr; };	\
	void mp_evalStack_clean (void);		\
private:                                            \
std::map<char, double> varTable;	\
short parseerr;					\
char errtext[80];				\
void mp_push_num(double);			\
void mp_push_fnct(symrec*);			\
void mp_push_const(symrec*);			\
void mp_push_op (short);			\
void mp_push_var (char, double);		\
struct mp_stack * mp_new_entry (const int);	\
	void mp_stack_clean (void);			\
	void mp_free_entry(const int);			\
	short evalerr;					\
    protected:						\
    struct mp_stack **entryidx[2][2]; 			\
	short initial, flagend;				\
	int yyerror_real (char*);			\
	virtual void init_stack();			\
	double mp_fact (double in);
#define YY_Parser_DEBUG  1

#line 64 "parser.yy"
typedef union {
double     val;  /* For returning numbers.                   */
symrec  *tptr;   /* For returning symbol-table pointers      */
} yy_Parser_stype;
#define YY_Parser_STYPE yy_Parser_stype

#line 88 "/usr/local/share/bison++/bison.cc"
/* %{ and %header{ and %union, during decl */
#define YY_Parser_BISON 1

#ifndef YY_Parser_COMPATIBILITY
 #ifndef YY_USE_CLASS
  #define  YY_Parser_COMPATIBILITY 1
 #else
  #define  YY_Parser_COMPATIBILITY 0
 #endif
#endif

#if YY_Parser_COMPATIBILITY != 0
 /* backward compatibility */
 #ifdef YYLTYPE
  #ifndef YY_Parser_LTYPE
   #define YY_Parser_LTYPE YYLTYPE
  #endif
 #endif
/* Testing alternative bison solution
   /#ifdef YYSTYPE*/
#ifndef YY_Parser_STYPE 
   #define YY_Parser_STYPE YYSTYPE
#endif
/*#endif*/
 #ifdef YYDEBUG
  #ifndef YY_Parser_DEBUG
   #define  YY_Parser_DEBUG YYDEBUG
  #endif
 #endif
 
 /* use goto to be compatible */
 #ifndef YY_Parser_USE_GOTO
  #define YY_Parser_USE_GOTO 1
 #endif
#endif

/* use no goto to be clean in C++ */
#ifndef YY_Parser_USE_GOTO
 #define YY_Parser_USE_GOTO 0
#endif

#ifndef YY_Parser_PURE

 #line 130 "/usr/local/share/bison++/bison.cc"

#line 130 "/usr/local/share/bison++/bison.cc"
/*  YY_Parser_PURE */
#endif

/* section apres lecture def, avant lecture grammaire S2 */

 #line 134 "/usr/local/share/bison++/bison.cc"

#line 134 "/usr/local/share/bison++/bison.cc"
/* prefix */
#ifndef YY_Parser_DEBUG

 #line 136 "/usr/local/share/bison++/bison.cc"

#line 136 "/usr/local/share/bison++/bison.cc"
/* YY_Parser_DEBUG */
#endif


#ifndef YY_Parser_LSP_NEEDED

 #line 141 "/usr/local/share/bison++/bison.cc"

#line 141 "/usr/local/share/bison++/bison.cc"
 /* YY_Parser_LSP_NEEDED*/
#endif



/* DEFAULT LTYPE*/
#ifdef YY_Parser_LSP_NEEDED
#ifndef YY_Parser_LTYPE
#ifndef BISON_YYLTYPE_ISDECLARED
#define BISON_YYLTYPE_ISDECLARED
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#endif
#define YY_Parser_LTYPE yyltype
#endif
#endif
/* DEFAULT STYPE*/
      /* We used to use `unsigned long' as YY_Parser_STYPE on MSDOS,
	 but it seems better to be consistent.
	 Most programs should declare their own type anyway.  */

#ifndef YY_Parser_STYPE
#define YY_Parser_STYPE int
#endif
/* DEFAULT MISCELANEOUS */
#ifndef YY_Parser_PARSE
#define YY_Parser_PARSE yyparse
#endif
#ifndef YY_Parser_LEX
#define YY_Parser_LEX yylex
#endif
#ifndef YY_Parser_LVAL
#define YY_Parser_LVAL yylval
#endif
#ifndef YY_Parser_LLOC
#define YY_Parser_LLOC yylloc
#endif
#ifndef YY_Parser_CHAR
#define YY_Parser_CHAR yychar
#endif
#ifndef YY_Parser_NERRS
#define YY_Parser_NERRS yynerrs
#endif
#ifndef YY_Parser_DEBUG_FLAG
#define YY_Parser_DEBUG_FLAG yydebug
#endif
#ifndef YY_Parser_ERROR
#define YY_Parser_ERROR yyerror
#endif

#ifndef YY_Parser_PARSE_PARAM
 #ifndef YY_USE_CLASS
  #ifdef YYPARSE_PARAM
   #define YY_Parser_PARSE_PARAM void* YYPARSE_PARAM 
  #else
   #ifndef __STDC__
    #ifndef __cplusplus
     #define YY_Parser_PARSE_PARAM
    #endif
   #endif
  #endif
 #endif
 #ifndef YY_Parser_PARSE_PARAM
  #define YY_Parser_PARSE_PARAM void
 #endif
#endif

#if YY_Parser_COMPATIBILITY != 0
/* backward compatibility */
#ifdef YY_Parser_LTYPE
#ifndef YYLTYPE
#define YYLTYPE YY_Parser_LTYPE
#else
/* WARNING obsolete !!! user defined YYLTYPE not reported into generated header */
#endif
#endif

/* Removed due to bison compabilityproblems
/#ifndef YYSTYPE
/#define YYSTYPE YY_Parser_STYPE
/#else*/
/* WARNING obsolete !!! user defined YYSTYPE not reported into generated header */
/*#endif*/

#ifdef YY_Parser_PURE
#  ifndef YYPURE
#    define YYPURE YY_Parser_PURE
#  endif
#endif

#ifdef YY_Parser_DEBUG
#  ifndef YYDEBUG
#    define YYDEBUG YY_Parser_DEBUG 
#  endif
#endif

#ifndef YY_Parser_ERROR_VERBOSE
 #ifdef YYERROR_VERBOSE
  #define YY_Parser_ERROR_VERBOSE YYERROR_VERBOSE
 #endif
#endif

#ifndef YY_Parser_LSP_NEEDED
#  ifdef YYLSP_NEEDED
#    define YY_Parser_LSP_NEEDED YYLSP_NEEDED
#  endif
#endif

#endif

#ifndef YY_USE_CLASS
/* TOKEN C */

 #line 263 "/usr/local/share/bison++/bison.cc"
#define	NUM	258
#define	VAR	259
#define	FNCT	260
#define	CONST	261
#define	OPEN	262
#define	EXPNUM	263
#define	NEG	264


#line 263 "/usr/local/share/bison++/bison.cc"
 /* #defines tokens */
#else
/* CLASS */
#ifndef YY_Parser_CLASS
#define YY_Parser_CLASS Parser
#endif
#ifndef YY_Parser_INHERIT
#define YY_Parser_INHERIT
#endif
#ifndef YY_Parser_MEMBERS
#define YY_Parser_MEMBERS 
#endif
#ifndef YY_Parser_LEX_BODY
#define YY_Parser_LEX_BODY  
#endif
#ifndef YY_Parser_ERROR_BODY
#define YY_Parser_ERROR_BODY  
#endif
#ifndef YY_Parser_CONSTRUCTOR_PARAM
#define YY_Parser_CONSTRUCTOR_PARAM
#endif
#ifndef YY_Parser_CONSTRUCTOR_CODE
#define YY_Parser_CONSTRUCTOR_CODE
#endif
#ifndef YY_Parser_CONSTRUCTOR_INIT
#define YY_Parser_CONSTRUCTOR_INIT
#endif
/* choose between enum and const */
#ifndef YY_Parser_USE_CONST_TOKEN
#define YY_Parser_USE_CONST_TOKEN 0
/* yes enum is more compatible with flex,  */
/* so by default we use it */ 
#endif
#if YY_Parser_USE_CONST_TOKEN != 0
#ifndef YY_Parser_ENUM_TOKEN
#define YY_Parser_ENUM_TOKEN yy_Parser_enum_token
#endif
#endif

class YY_Parser_CLASS YY_Parser_INHERIT
{
public: 
#if YY_Parser_USE_CONST_TOKEN != 0
/* static const int token ... */

 #line 307 "/usr/local/share/bison++/bison.cc"
static const int NUM;
static const int VAR;
static const int FNCT;
static const int CONST;
static const int OPEN;
static const int EXPNUM;
static const int NEG;


#line 307 "/usr/local/share/bison++/bison.cc"
 /* decl const */
#else
enum YY_Parser_ENUM_TOKEN { YY_Parser_NULL_TOKEN=0

 #line 310 "/usr/local/share/bison++/bison.cc"
	,NUM=258
	,VAR=259
	,FNCT=260
	,CONST=261
	,OPEN=262
	,EXPNUM=263
	,NEG=264


#line 310 "/usr/local/share/bison++/bison.cc"
 /* enum token */
     }; /* end of enum declaration */
#endif
public:
 int YY_Parser_PARSE (YY_Parser_PARSE_PARAM);
 virtual void YY_Parser_ERROR(char *msg) YY_Parser_ERROR_BODY;
#ifdef YY_Parser_PURE
#ifdef YY_Parser_LSP_NEEDED
 virtual int  YY_Parser_LEX (YY_Parser_STYPE *YY_Parser_LVAL,YY_Parser_LTYPE *YY_Parser_LLOC) YY_Parser_LEX_BODY;
#else
 virtual int  YY_Parser_LEX (YY_Parser_STYPE *YY_Parser_LVAL) YY_Parser_LEX_BODY;
#endif
#else
 virtual int YY_Parser_LEX() YY_Parser_LEX_BODY;
 YY_Parser_STYPE YY_Parser_LVAL;
#ifdef YY_Parser_LSP_NEEDED
 YY_Parser_LTYPE YY_Parser_LLOC;
#endif
 int   YY_Parser_NERRS;
 int    YY_Parser_CHAR;
#endif
#if YY_Parser_DEBUG != 0
 int YY_Parser_DEBUG_FLAG;   /*  nonzero means print parse trace     */
#endif
public:
 YY_Parser_CLASS(YY_Parser_CONSTRUCTOR_PARAM);
public:
 YY_Parser_MEMBERS 
};
/* other declare folow */
#if YY_Parser_USE_CONST_TOKEN != 0

 #line 341 "/usr/local/share/bison++/bison.cc"
const int YY_Parser_CLASS::NUM=258;
const int YY_Parser_CLASS::VAR=259;
const int YY_Parser_CLASS::FNCT=260;
const int YY_Parser_CLASS::CONST=261;
const int YY_Parser_CLASS::OPEN=262;
const int YY_Parser_CLASS::EXPNUM=263;
const int YY_Parser_CLASS::NEG=264;


#line 341 "/usr/local/share/bison++/bison.cc"
 /* const YY_Parser_CLASS::token */
#endif
/*apres const  */
YY_Parser_CLASS::YY_Parser_CLASS(YY_Parser_CONSTRUCTOR_PARAM) YY_Parser_CONSTRUCTOR_INIT
{
#if YY_Parser_DEBUG != 0
YY_Parser_DEBUG_FLAG=0;
#endif
YY_Parser_CONSTRUCTOR_CODE;
};
#endif

 #line 352 "/usr/local/share/bison++/bison.cc"


#define	YYFINAL		53
#define	YYFLAG		-32768
#define	YYNTBASE	22

#define YYTRANSLATE(x) ((unsigned)(x) <= 264 ? yytranslate[x] : 25)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,    16,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    20,     2,     2,     2,     2,     2,     2,    17,
    18,    12,    11,     2,    10,     2,    13,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,    19,     2,
     7,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,    15,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,    21,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     8,     9,    14
};

#if YY_Parser_DEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     6,     9,    12,    14,    20,    24,    30,
    36,    38,    40,    44,    47,    50,    53,    56,    61,    66,
    72,    78,    83,    87,    91,    95,    99,   102,   106,   109,
   113
};

static const short yyrhs[] = {    -1,
    22,    23,     0,    16,     0,    24,    16,     0,     1,    16,
     0,     3,     0,     5,    17,    24,    18,     3,     0,    24,
    19,    24,     0,     5,    17,    24,    18,     6,     0,     5,
    17,    24,    18,     4,     0,     6,     0,     4,     0,     4,
     7,    24,     0,     3,     4,     0,     6,     4,     0,     4,
     6,     0,     3,     6,     0,    24,    17,    24,    18,     0,
    17,    24,    18,    24,     0,    17,    24,    18,    10,    24,
     0,    24,    17,    24,    18,    24,     0,     5,    17,    24,
    18,     0,    24,    11,    24,     0,    24,    10,    24,     0,
    24,    12,    24,     0,    24,    13,    24,     0,    10,    24,
     0,    24,    15,    24,     0,    24,    20,     0,    21,    24,
    21,     0,    17,    24,    18,     0
};

#endif

#if (YY_Parser_DEBUG != 0) || defined(YY_Parser_ERROR_VERBOSE) 
static const short yyrline[] = { 0,
    87,    88,    91,    93,    94,    97,    99,   103,   105,   109,
   114,   116,   118,   120,   125,   130,   135,   139,   141,   143,
   145,   148,   150,   152,   154,   156,   158,   161,   163,   165,
   167
};

static const char * const yytname[] = {   "$","error","$illegal.","NUM","VAR",
"FNCT","CONST","'='","OPEN","EXPNUM","'-'","'+'","'*'","'/'","NEG","'^'","'\\n'",
"'('","')'","';'","'!'","'|'","input","line","exp",""
};
#endif

static const short yyr1[] = {     0,
    22,    22,    23,    23,    23,    24,    24,    24,    24,    24,
    24,    24,    24,    24,    24,    24,    24,    24,    24,    24,
    24,    24,    24,    24,    24,    24,    24,    24,    24,    24,
    24
};

static const short yyr2[] = {     0,
     0,     2,     1,     2,     2,     1,     5,     3,     5,     5,
     1,     1,     3,     2,     2,     2,     2,     4,     4,     5,
     5,     4,     3,     3,     3,     3,     2,     3,     2,     3,
     3
};

static const short yydefact[] = {     1,
     0,     0,     6,    12,     0,    11,     0,     3,     0,     0,
     2,     0,     5,    14,    17,    16,     0,     0,    15,    27,
     0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
    29,    13,     0,    31,    30,    24,    23,    25,    26,    28,
     0,     8,    22,     0,    19,    18,     7,    10,     9,    27,
    21,     0,     0
};

static const short yydefgoto[] = {     1,
    11,    12
};

static const short yypact[] = {-32768,
    25,   -15,     1,    26,    -3,    17,    44,-32768,    44,    44,
-32768,    76,-32768,-32768,-32768,-32768,    44,    44,-32768,   -11,
    87,    64,    44,    44,    44,    44,    44,-32768,    44,    44,
-32768,   120,    98,    52,-32768,    51,    51,   -11,   -11,   -11,
   109,   120,     9,    44,   120,    44,-32768,-32768,-32768,   126,
   120,    24,-32768
};

static const short yypgoto[] = {-32768,
-32768,    -7
};


#define	YYLAST		147


static const short yytable[] = {    20,
    13,    21,    22,    27,    14,    29,    15,    30,    31,    32,
    33,    47,    48,    18,    49,    36,    37,    38,    39,    40,
    19,    41,    42,    53,    52,     2,    45,     3,     4,     5,
     6,    16,    17,     0,     7,     0,    50,     0,    51,     0,
     8,     9,     0,     0,     0,    10,     3,     4,     5,     6,
     0,     0,     0,     7,     3,     4,     5,     6,     0,     0,
     9,    44,    25,    26,    10,    27,     0,    29,     9,    30,
    31,     0,    10,    23,    24,    25,    26,     0,    27,     0,
    29,     0,    30,    31,    35,    23,    24,    25,    26,     0,
    27,    28,    29,     0,    30,    31,    23,    24,    25,    26,
     0,    27,     0,    29,    34,    30,    31,    23,    24,    25,
    26,     0,    27,     0,    29,    43,    30,    31,    23,    24,
    25,    26,     0,    27,     0,    29,    46,    30,    31,    23,
    24,    25,    26,     0,    27,     0,    29,     0,    30,    31,
    27,   -20,    29,   -20,    30,    31,   -20
};

static const short yycheck[] = {     7,
    16,     9,    10,    15,     4,    17,     6,    19,    20,    17,
    18,     3,     4,    17,     6,    23,    24,    25,    26,    27,
     4,    29,    30,     0,     0,     1,    34,     3,     4,     5,
     6,     6,     7,    -1,    10,    -1,    44,    -1,    46,    -1,
    16,    17,    -1,    -1,    -1,    21,     3,     4,     5,     6,
    -1,    -1,    -1,    10,     3,     4,     5,     6,    -1,    -1,
    17,    10,    12,    13,    21,    15,    -1,    17,    17,    19,
    20,    -1,    21,    10,    11,    12,    13,    -1,    15,    -1,
    17,    -1,    19,    20,    21,    10,    11,    12,    13,    -1,
    15,    16,    17,    -1,    19,    20,    10,    11,    12,    13,
    -1,    15,    -1,    17,    18,    19,    20,    10,    11,    12,
    13,    -1,    15,    -1,    17,    18,    19,    20,    10,    11,
    12,    13,    -1,    15,    -1,    17,    18,    19,    20,    10,
    11,    12,    13,    -1,    15,    -1,    17,    -1,    19,    20,
    15,    16,    17,    18,    19,    20,    21
};

#line 352 "/usr/local/share/bison++/bison.cc"
 /* fattrs + tables */

/* parser code folow  */


/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: dollar marks section change
   the next  is replaced by the list of actions, each action
   as one case of the switch.  */ 

#if YY_Parser_USE_GOTO != 0
/* 
 SUPRESSION OF GOTO : on some C++ compiler (sun c++)
  the goto is strictly forbidden if any constructor/destructor
  is used in the whole function (very stupid isn't it ?)
 so goto are to be replaced with a 'while/switch/case construct'
 here are the macro to keep some apparent compatibility
*/
#define YYGOTO(lb) {yy_gotostate=lb;continue;}
#define YYBEGINGOTO  enum yy_labels yy_gotostate=yygotostart; \
                     for(;;) switch(yy_gotostate) { case yygotostart: {
#define YYLABEL(lb) } case lb: {
#define YYENDGOTO } } 
#define YYBEGINDECLARELABEL enum yy_labels {yygotostart
#define YYDECLARELABEL(lb) ,lb
#define YYENDDECLARELABEL  };
#else
/* macro to keep goto */
#define YYGOTO(lb) goto lb
#define YYBEGINGOTO 
#define YYLABEL(lb) lb:
#define YYENDGOTO
#define YYBEGINDECLARELABEL 
#define YYDECLARELABEL(lb)
#define YYENDDECLARELABEL 
#endif
/* LABEL DECLARATION */
YYBEGINDECLARELABEL
  YYDECLARELABEL(yynewstate)
  YYDECLARELABEL(yybackup)
/* YYDECLARELABEL(yyresume) */
  YYDECLARELABEL(yydefault)
  YYDECLARELABEL(yyreduce)
  YYDECLARELABEL(yyerrlab)   /* here on detecting error */
  YYDECLARELABEL(yyerrlab1)   /* here on error raised explicitly by an action */
  YYDECLARELABEL(yyerrdefault)  /* current state does not do anything special for the error token. */
  YYDECLARELABEL(yyerrpop)   /* pop the current state because it cannot handle the error token */
  YYDECLARELABEL(yyerrhandle)  
YYENDDECLARELABEL
/* ALLOCA SIMULATION */
/* __HAVE_NO_ALLOCA */
#ifdef __HAVE_NO_ALLOCA
int __alloca_free_ptr(char *ptr,char *ref)
{if(ptr!=ref) free(ptr);
 return 0;}

#define __ALLOCA_alloca(size) malloc(size)
#define __ALLOCA_free(ptr,ref) __alloca_free_ptr((char *)ptr,(char *)ref)

#ifdef YY_Parser_LSP_NEEDED
#define __ALLOCA_return(num) \
            do { return( __ALLOCA_free(yyss,yyssa)+\
		    __ALLOCA_free(yyvs,yyvsa)+\
		    __ALLOCA_free(yyls,yylsa)+\
		   (num)); } while(0)
#else
#define __ALLOCA_return(num) \
            do { return( __ALLOCA_free(yyss,yyssa)+\
		    __ALLOCA_free(yyvs,yyvsa)+\
		   (num)); } while(0)
#endif
#else
#define __ALLOCA_return(num) do { return(num); } while(0)
#define __ALLOCA_alloca(size) alloca(size)
#define __ALLOCA_free(ptr,ref) 
#endif

/* ENDALLOCA SIMULATION */

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (YY_Parser_CHAR = YYEMPTY)
#define YYEMPTY         -2
#define YYEOF           0
#define YYACCEPT        __ALLOCA_return(0)
#define YYABORT         __ALLOCA_return(1)
#define YYERROR         YYGOTO(yyerrlab1)
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL          YYGOTO(yyerrlab)
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do                                                              \
  if (YY_Parser_CHAR == YYEMPTY && yylen == 1)                               \
    { YY_Parser_CHAR = (token), YY_Parser_LVAL = (value);                 \
      yychar1 = YYTRANSLATE (YY_Parser_CHAR);                                \
      YYPOPSTACK;                                               \
      YYGOTO(yybackup);                                            \
    }                                                           \
  else                                                          \
    { YY_Parser_ERROR ("syntax error: cannot back up"); YYERROR; }   \
while (0)

#define YYTERROR        1
#define YYERRCODE       256

#ifndef YY_Parser_PURE
/* UNPURE */
#define YYLEX           YY_Parser_LEX()
#ifndef YY_USE_CLASS
/* If nonreentrant, and not class , generate the variables here */
int     YY_Parser_CHAR;                      /*  the lookahead symbol        */
YY_Parser_STYPE      YY_Parser_LVAL;              /*  the semantic value of the */
				/*  lookahead symbol    */
int YY_Parser_NERRS;                 /*  number of parse errors so far */
#ifdef YY_Parser_LSP_NEEDED
YY_Parser_LTYPE YY_Parser_LLOC;   /*  location data for the lookahead     */
			/*  symbol                              */
#endif
#endif


#else
/* PURE */
#ifdef YY_Parser_LSP_NEEDED
#define YYLEX           YY_Parser_LEX(&YY_Parser_LVAL, &YY_Parser_LLOC)
#else
#define YYLEX           YY_Parser_LEX(&YY_Parser_LVAL)
#endif
#endif
#ifndef YY_USE_CLASS
#if YY_Parser_DEBUG != 0
int YY_Parser_DEBUG_FLAG;                    /*  nonzero means print parse trace     */
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif
#endif



/*  YYINITDEPTH indicates the initial size of the parser's stacks       */

#ifndef YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif


#if __GNUC__ > 1                /* GNU C and GNU C++ define this.  */
#define __yy_bcopy(FROM,TO,COUNT)       __builtin_memcpy(TO,FROM,COUNT)
#else                           /* not GNU C or C++ */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */

#ifdef __cplusplus
static void __yy_bcopy (char *from, char *to, int count)
#else
#ifdef __STDC__
static void __yy_bcopy (char *from, char *to, int count)
#else
static void __yy_bcopy (from, to, count)
     char *from;
     char *to;
     int count;
#endif
#endif
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}
#endif


int
#ifdef YY_USE_CLASS
 YY_Parser_CLASS::
#endif
     YY_Parser_PARSE(YY_Parser_PARSE_PARAM)
#ifndef __STDC__
#ifndef __cplusplus
#ifndef YY_USE_CLASS
/* parameter definition without protypes */
YY_Parser_PARSE_PARAM_DEF
#endif
#endif
#endif
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YY_Parser_STYPE *yyvsp;
  int yyerrstatus;      /*  number of tokens to shift before error messages enabled */
  int yychar1=0;          /*  lookahead token as an internal (translated) token number */

  short yyssa[YYINITDEPTH];     /*  the state stack                     */
  YY_Parser_STYPE yyvsa[YYINITDEPTH];        /*  the semantic value stack            */

  short *yyss = yyssa;          /*  refer to the stacks thru separate pointers */
  YY_Parser_STYPE *yyvs = yyvsa;     /*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YY_Parser_LSP_NEEDED
  YY_Parser_LTYPE yylsa[YYINITDEPTH];        /*  the location stack                  */
  YY_Parser_LTYPE *yyls = yylsa;
  YY_Parser_LTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YY_Parser_PURE
  int YY_Parser_CHAR;
  YY_Parser_STYPE YY_Parser_LVAL;
  int YY_Parser_NERRS;
#ifdef YY_Parser_LSP_NEEDED
  YY_Parser_LTYPE YY_Parser_LLOC;
#endif
#endif

  YY_Parser_STYPE yyval;             /*  the variable used to return         */
				/*  semantic values from the action     */
				/*  routines                            */

  int yylen;
/* start loop, in which YYGOTO may be used. */
YYBEGINGOTO

#if YY_Parser_DEBUG != 0
  if (YY_Parser_DEBUG_FLAG)
    fprintf(stderr, "Starting parse\n");
#endif
  yystate = 0;
  yyerrstatus = 0;
  YY_Parser_NERRS = 0;
  YY_Parser_CHAR = YYEMPTY;          /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YY_Parser_LSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
YYLABEL(yynewstate)

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YY_Parser_STYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YY_Parser_LSP_NEEDED
      YY_Parser_LTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YY_Parser_LSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YY_Parser_LSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  YY_Parser_ERROR("parser stack overflow");
	  __ALLOCA_return(2);
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) __ALLOCA_alloca (yystacksize * sizeof (*yyssp));
      __yy_bcopy ((char *)yyss1, (char *)yyss, size * sizeof (*yyssp));
      __ALLOCA_free(yyss1,yyssa);
      yyvs = (YY_Parser_STYPE *) __ALLOCA_alloca (yystacksize * sizeof (*yyvsp));
      __yy_bcopy ((char *)yyvs1, (char *)yyvs, size * sizeof (*yyvsp));
      __ALLOCA_free(yyvs1,yyvsa);
#ifdef YY_Parser_LSP_NEEDED
      yyls = (YY_Parser_LTYPE *) __ALLOCA_alloca (yystacksize * sizeof (*yylsp));
      __yy_bcopy ((char *)yyls1, (char *)yyls, size * sizeof (*yylsp));
      __ALLOCA_free(yyls1,yylsa);
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YY_Parser_LSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YY_Parser_DEBUG != 0
      if (YY_Parser_DEBUG_FLAG)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YY_Parser_DEBUG != 0
  if (YY_Parser_DEBUG_FLAG)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  YYGOTO(yybackup);
YYLABEL(yybackup)

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* YYLABEL(yyresume) */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    YYGOTO(yydefault);

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (YY_Parser_CHAR == YYEMPTY)
    {
#if YY_Parser_DEBUG != 0
      if (YY_Parser_DEBUG_FLAG)
	fprintf(stderr, "Reading a token: ");
#endif
      YY_Parser_CHAR = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (YY_Parser_CHAR <= 0)           /* This means end of input. */
    {
      yychar1 = 0;
      YY_Parser_CHAR = YYEOF;                /* Don't call YYLEX any more */

#if YY_Parser_DEBUG != 0
      if (YY_Parser_DEBUG_FLAG)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(YY_Parser_CHAR);

#if YY_Parser_DEBUG != 0
      if (YY_Parser_DEBUG_FLAG)
	{
	  fprintf (stderr, "Next token is %d (%s", YY_Parser_CHAR, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, YY_Parser_CHAR, YY_Parser_LVAL);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    YYGOTO(yydefault);

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	YYGOTO(yyerrlab);
      yyn = -yyn;
      YYGOTO(yyreduce);
    }
  else if (yyn == 0)
    YYGOTO(yyerrlab);

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YY_Parser_DEBUG != 0
  if (YY_Parser_DEBUG_FLAG)
    fprintf(stderr, "Shifting token %d (%s), ", YY_Parser_CHAR, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (YY_Parser_CHAR != YYEOF)
    YY_Parser_CHAR = YYEMPTY;

  *++yyvsp = YY_Parser_LVAL;
#ifdef YY_Parser_LSP_NEEDED
  *++yylsp = YY_Parser_LLOC;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  YYGOTO(yynewstate);

/* Do the default action for the current state.  */
YYLABEL(yydefault)

  yyn = yydefact[yystate];
  if (yyn == 0)
    YYGOTO(yyerrlab);

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
YYLABEL(yyreduce)
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YY_Parser_DEBUG != 0
  if (YY_Parser_DEBUG_FLAG)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


 #line 839 "/usr/local/share/bison++/bison.cc"

  switch (yyn) {

case 3:
#line 92 "parser.yy"
{;
    break;}
case 4:
#line 93 "parser.yy"
{ parseerr = 0;                                     ;
    break;}
case 5:
#line 94 "parser.yy"
{ if (!parseerr) { yyerror_real ("Syntax error"); } ;
    break;}
case 6:
#line 97 "parser.yy"
{ mp_push_num(yyvsp[0].val); ;
    break;}
case 7:
#line 99 "parser.yy"
{ mp_push_fnct (yyvsp[-4].tptr);
	                                        mp_push_num (yyvsp[0].val);
					        mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 8:
#line 103 "parser.yy"
{ ;
    break;}
case 9:
#line 105 "parser.yy"
{ mp_push_fnct (yyvsp[-4].tptr);
	                                        mp_push_const (yyvsp[0].tptr);
						mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 10:
#line 109 "parser.yy"
{ mp_push_fnct (yyvsp[-4].tptr);
	                                        mp_push_var (*(yyvsp[0].tptr->name),
						yyvsp[0].tptr->value.var);
						mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 11:
#line 114 "parser.yy"
{ mp_push_const (yyvsp[0].tptr);          ;
    break;}
case 12:
#line 116 "parser.yy"
{ mp_push_var (*(yyvsp[0].tptr->name), yyvsp[0].tptr->value.var);              ;
    break;}
case 13:
#line 118 "parser.yy"
{  mp_push_var (*(yyvsp[-2].tptr->name), 0); mp_push_op (MP_TOKEN_EQ); ;
    break;}
case 14:
#line 120 "parser.yy"
{ mp_push_num (yyvsp[-1].val);
	                                        mp_push_var (*(yyvsp[0].tptr->name),
						yyvsp[0].tptr->value.var);
						mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 15:
#line 125 "parser.yy"
{ mp_push_const (yyvsp[-1].tptr);
                                                mp_push_var (*(yyvsp[0].tptr->name),
						yyvsp[0].tptr->value.var);
						mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 16:
#line 130 "parser.yy"
{ mp_push_const (yyvsp[0].tptr);
                                                mp_push_var (*(yyvsp[-1].tptr->name),
						yyvsp[-1].tptr->value.var);
						mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 17:
#line 135 "parser.yy"
{ mp_push_const (yyvsp[0].tptr);
                                               	mp_push_num (yyvsp[-1].val);
						mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 18:
#line 139 "parser.yy"
{ mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 19:
#line 141 "parser.yy"
{ mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 20:
#line 143 "parser.yy"
{ mp_push_op (MP_TOKEN_MINUS); ;
    break;}
case 21:
#line 145 "parser.yy"
{ mp_push_op (MP_TOKEN_MULT);
	                                        mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 22:
#line 148 "parser.yy"
{ mp_push_fnct (yyvsp[-3].tptr);           ;
    break;}
case 23:
#line 150 "parser.yy"
{ mp_push_op (MP_TOKEN_PLUS);  ;
    break;}
case 24:
#line 152 "parser.yy"
{ mp_push_op (MP_TOKEN_MINUS); ;
    break;}
case 25:
#line 154 "parser.yy"
{ mp_push_op (MP_TOKEN_MULT);  ;
    break;}
case 26:
#line 156 "parser.yy"
{ mp_push_op (MP_TOKEN_DIV);   ;
    break;}
case 27:
#line 158 "parser.yy"
{ mp_push_op
						  (MP_TOKEN_UNARY_MINUS);    ;
    break;}
case 28:
#line 161 "parser.yy"
{ mp_push_op (MP_TOKEN_POW);   ;
    break;}
case 29:
#line 163 "parser.yy"
{ mp_push_op (MP_TOKEN_FACT);  ;
    break;}
case 30:
#line 165 "parser.yy"
{ mp_push_fnct(getsym("abs")); ;
    break;}
case 31:
#line 167 "parser.yy"
{ /* Intentionally empty */    ;
    break;}
}

#line 839 "/usr/local/share/bison++/bison.cc"
   /* the action file gets copied in in place of this dollarsign  */
  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YY_Parser_LSP_NEEDED
  yylsp -= yylen;
#endif

#if YY_Parser_DEBUG != 0
  if (YY_Parser_DEBUG_FLAG)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YY_Parser_LSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = YY_Parser_LLOC.first_line;
      yylsp->first_column = YY_Parser_LLOC.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  YYGOTO(yynewstate);

YYLABEL(yyerrlab)   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++YY_Parser_NERRS;

#ifdef YY_Parser_ERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      YY_Parser_ERROR(msg);
	      free(msg);
	    }
	  else
	    YY_Parser_ERROR ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YY_Parser_ERROR_VERBOSE */
	YY_Parser_ERROR("parse error");
    }

  YYGOTO(yyerrlab1);
YYLABEL(yyerrlab1)   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (YY_Parser_CHAR == YYEOF)
	YYABORT;

#if YY_Parser_DEBUG != 0
      if (YY_Parser_DEBUG_FLAG)
	fprintf(stderr, "Discarding token %d (%s).\n", YY_Parser_CHAR, yytname[yychar1]);
#endif

      YY_Parser_CHAR = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;              /* Each real token shifted decrements this */

  YYGOTO(yyerrhandle);

YYLABEL(yyerrdefault)  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) YYGOTO(yydefault);
#endif

YYLABEL(yyerrpop)   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YY_Parser_LSP_NEEDED
  yylsp--;
#endif

#if YY_Parser_DEBUG != 0
  if (YY_Parser_DEBUG_FLAG)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

YYLABEL(yyerrhandle)

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    YYGOTO(yyerrdefault);

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    YYGOTO(yyerrdefault);

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	YYGOTO(yyerrpop);
      yyn = -yyn;
      YYGOTO(yyreduce);
    }
  else if (yyn == 0)
    YYGOTO(yyerrpop);

  if (yyn == YYFINAL)
    YYACCEPT;

#if YY_Parser_DEBUG != 0
  if (YY_Parser_DEBUG_FLAG)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = YY_Parser_LVAL;
#ifdef YY_Parser_LSP_NEEDED
  *++yylsp = YY_Parser_LLOC;
#endif

  yystate = yyn;
  YYGOTO(yynewstate);
/* end loop, in which YYGOTO may be used. */
  YYENDGOTO
}

/* END */

 #line 1038 "/usr/local/share/bison++/bison.cc"
#line 172 "parser.yy"

int Parser::yyerror_real (char *s)  /* Called by yyparse on error */
{
    parseerr = 1;
    yyerror(s);
    sprintf (errtext, "parse error or evaluation error: %s", s);
    return (1);
}

void Parser::mp_push_num (double mpnum)
{
	
    struct mp_stack *p = mp_new_entry(0);

    p->tokentype = MP_TOKEN_CONSTANT;
    p->value = mpnum;
}


void Parser::mp_push_fnct (symrec *in)
{

    struct mp_stack *p = mp_new_entry(0);
    p->tokentype = MP_TOKEN_FNCT;
    p->symboltab = in;
}


void Parser::mp_push_const (symrec *in)
{

    struct mp_stack *p = mp_new_entry(0);
    p->tokentype = MP_TOKEN_CONST;
    p->symboltab = in;
}


struct mp_stack* Parser::mp_new_entry (const int stacknum)
{

    struct mp_stack *p = new struct mp_stack;

    if (!p)
    {
	/*ERROR*/
	return p;
    }


    if (!(*entryidx[stacknum][1]))
    {

	(*entryidx[stacknum][0]) = p;
	(*entryidx[stacknum][1]) = p;
	p->next = 0;
	p->previous = 0;
    }
    else
    {

	p->next = 0;
	p->previous = (*entryidx[stacknum][1]);

	(*entryidx[stacknum][1])->next = p;
	(*entryidx[stacknum][1]) = p;
    }


    return (p);
}

void Parser::mp_push_op (short mptoken)
{

    struct mp_stack *p = mp_new_entry(0);
    p->tokentype = mptoken;
}


void Parser::mp_push_var (char mpvar, double value)
{

    struct mp_stack *p = mp_new_entry(0);
    p->tokentype = MP_TOKEN_VARIABLE;
    p->id = mpvar;
    
    p->value = value;
}

void Parser::init_stack()
{

entryidx[0][0] = (mp_stack**) malloc(sizeof(mp_stack*));
entryidx[1][0] = (mp_stack**) malloc(sizeof(mp_stack*));
entryidx[0][1] = (mp_stack**) malloc(sizeof(mp_stack*));
entryidx[1][1] = (mp_stack**) malloc(sizeof(mp_stack*));

*entryidx[0][0] = 0;
*entryidx[1][0] = 0;
*entryidx[0][1] = 0;
*entryidx[1][1] = 0;

mp_stack_clean();


initial = 1;
flagend = 0;

}

//zerstoert den baim parsen aufgebauten baum.
void Parser::mp_stack_clean (void)
{
    struct mp_stack *p;
    if (entryidx[0][0])
    for (p=*entryidx[0][0]; p != 0; p=p->next)
    {
	mp_free_entry (0);
    }

    varTable.clear();
}

void Parser::mp_evalStack_clean (void)
{
    struct mp_stack *p;
    for (p=*entryidx[1][0]; p != 0; p=p->next)
		mp_free_entry(1);

    varTable.clear();

}

void Parser::mp_free_entry (const int stacknum)
{

    struct mp_stack *p = *entryidx[stacknum][1];
    if ((*entryidx[stacknum][0]) == p)
    {
	(*entryidx[stacknum][0]) = 0;
	(*entryidx[stacknum][1]) = 0;

	delete p;
	return;
    }
    (*entryidx[stacknum][1]) = p->previous;
    delete p;
    (*entryidx[stacknum][1])->next = 0;

}

double Parser::mp_eval_exp (double x, int *err)
{
    struct mp_stack *p, *q;
    for (p=*entryidx[0][0]; p != 0; p=p->next)
    {

	switch (p->tokentype)
	{
	case MP_TOKEN_EQ:
	    p->previous->value = (*entryidx[1][1])->previous->value;
	    varTable[p->previous->id] = (*entryidx[1][1])->previous->value;

	    (*entryidx[1][1])->previous->value = (*entryidx[1][1])->value;
	    
	    mp_free_entry (1);
	    break;
	break;
	case MP_TOKEN_VARIABLE:
	    if (p->id == 't' && !*err)
	    { 
		q = mp_new_entry(1);
		q->value = x;
	    }
	    else if (*err)
	    { 
		q = mp_new_entry(1);
		q->value=p->value;
	    } 
	    else
	    {
		q = mp_new_entry(1);
		q->value=varTable[p->id];
	    }
	    break;
	case MP_TOKEN_CONSTANT:
	    q = mp_new_entry(1);
	    q->value = p->value;
	    break;
	case MP_TOKEN_CONST: //Mathematical constant, not to be confused with numerical value above 
	    if (strcmp(p->symboltab->name, "a") == 0)
	    {
		*err = MP_ERROR_VARIABLE;
		return (0);
	    }
	    q = mp_new_entry(1);
	    q->value = p->symboltab->value.var;
	    break;
	case MP_TOKEN_PLUS:
	    (*entryidx[1][1])->previous->value = (*entryidx[1][1])->previous->value + (*entryidx[1][1])->value;
	    mp_free_entry (1);
	    break;
	case MP_TOKEN_MINUS:
	    (*entryidx[1][1])->previous->value = (*entryidx[1][1])->previous->value - (*entryidx[1][1])->value;
	    mp_free_entry (1);
	    break;
	case MP_TOKEN_MULT:
	    (*entryidx[1][1])->previous->value = (*entryidx[1][1])->previous->value * (*entryidx[1][1])->value;
	    mp_free_entry (1);
	    break;
	case MP_TOKEN_DIV:
      if (!(*entryidx[1][1])->value) {
        evalerr = 1;
        yyerror_real("Division by zero");
        return 0;
      }
	    (*entryidx[1][1])->previous->value = (*entryidx[1][1])->previous->value / (*entryidx[1][1])->value;
	    mp_free_entry (1);
	    break;
	case MP_TOKEN_FACT:
	    (*entryidx[1][1])->value = mp_fact ((*entryidx[1][1])->value);
	    break;
	case MP_TOKEN_POW:
	    (*entryidx[1][1])->previous->value = pow ((*entryidx[1][1])->previous->value, (*entryidx[1][1])->value);
	    mp_free_entry (1);
	    break;
	case MP_TOKEN_FNCT:
	    (*entryidx[1][1])->value = (*(p->symboltab->value.fnctptr))((*entryidx[1][1])->value);
	    break;
	case MP_TOKEN_UNARY_MINUS:
	    // Take the last number on the stack and reverse the sign
	    (*entryidx[1][1])->value *= (-1);
	    break;
	}
    }
    
    double val = (*entryidx[1][1])->value;
    
    mp_evalStack_clean();

	return val;
}

//TODO: das muss noch in den smbol table
double Parser::mp_fact (double in)
{
    double lgam = lgamma (in + 1);
    return signgam * exp (lgam);
}
