#include <sfwpacket.h>
#include <sfwflit.h>

SFWPacket::SFWPacket(unsigned int psize) : Packet()
{
	resize(psize);
}

Flit* SFWPacket::createFlit(unsigned int offset, unsigned int maxoffset)
{
	return new SFWFlit(this, offset, maxoffset);
}

Packet* SFWPacket::clone(bool deep) const 
{ 
	Packet* tmp = new SFWPacket(*this);

	if(deep)
		tmp->cloneFlits();

	return tmp;
}
